> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Employee Token Distribution

> Returns one employee's token distribution elections.

Required scope: `payroll:read`. It also needs `banking:read`, `compensation:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /stablecoin-payroll/get-employee-token-distribution
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/get-employee-token-distribution:
    get:
      operationId: getEmployeeTokenDistribution
      summary: Get Employee Token Distribution
      x-toku-required-scope: payroll:read
      description: >-
        Returns one employee's token distribution elections.


        Required scope: `payroll:read`. It also needs `banking:read`,
        `compensation:read`.
      parameters:
        - name: roleInOrgID
          in: query
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 200
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetEmployeeTokenDistributionResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetEmployeeTokenDistributionResponse:
      type: object
      properties:
        tokenDistributions:
          type: array
          items:
            $ref: '#/components/schemas/PayrollTokenFirstReadDistribution'
      required:
        - tokenDistributions
      description: Request regeneration does not infer response shapes.
    PayrollTokenFirstReadDistribution:
      type: object
      properties:
        walletReferenceID:
          type: string
          format: uuid
        roleInOrgID:
          type: string
          format: uuid
        walletID:
          type: string
          format: uuid
        distributionRatio:
          type:
            - string
            - 'null'
          format: decimal
          pattern: ^-?[0-9]+(\.[0-9]+)?$
        distributionType:
          type: string
          enum:
            - PERCENTAGE
            - FIXED_AMOUNT
        isBonusToken:
          type: boolean
        fixedAmount:
          type:
            - string
            - 'null'
          format: decimal
          pattern: ^-?[0-9]+(\.[0-9]+)?$
        createdAt:
          type: string
          format: date-time
        wallet:
          $ref: '#/components/schemas/PayrollTokenFirstReadWallet'
      required:
        - walletReferenceID
        - roleInOrgID
        - walletID
        - distributionRatio
        - distributionType
        - isBonusToken
        - fixedAmount
        - createdAt
        - wallet
    PayrollTokenFirstReadWallet:
      type: object
      properties:
        walletID:
          type: string
          format: uuid
        roleInOrgID:
          type: string
          format: uuid
        name:
          type:
            - string
            - 'null'
        address:
          type:
            - string
            - 'null'
        memo:
          type:
            - string
            - 'null'
        destinationTag:
          type:
            - integer
            - 'null'
        network:
          type: string
        status:
          const: VERIFIED
        walletType:
          oneOf:
            - $ref: '#/components/schemas/PayrollTokenFirstReadWalletKind'
            - type: 'null'
        orgNetworkID:
          type:
            - string
            - 'null'
          format: uuid
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        isCurrent:
          const: true
        isDefault:
          type: boolean
        legacyMigratedAt:
          type:
            - string
            - 'null'
          format: date-time
        legacyModelID:
          type:
            - integer
            - 'null'
        walletTypeCustomID:
          type:
            - string
            - 'null'
          format: uuid
        nickName:
          type:
            - string
            - 'null'
        investorEntityID:
          type:
            - string
            - 'null'
          format: uuid
        tokenTypeID:
          type:
            - string
            - 'null'
          format: uuid
        connectedViaMesh:
          type: boolean
        userDismissed:
          type: boolean
        tokenType:
          oneOf:
            - $ref: '#/components/schemas/PayrollTokenFirstReadToken'
            - type: 'null'
        orgNetwork:
          oneOf:
            - $ref: '#/components/schemas/PayrollTokenFirstReadNetwork'
            - type: 'null'
      required:
        - walletID
        - roleInOrgID
        - name
        - address
        - memo
        - destinationTag
        - network
        - status
        - walletType
        - orgNetworkID
        - createdAt
        - updatedAt
        - isCurrent
        - isDefault
        - legacyMigratedAt
        - legacyModelID
        - walletTypeCustomID
        - nickName
        - investorEntityID
        - tokenTypeID
        - connectedViaMesh
        - userDismissed
        - tokenType
        - orgNetwork
    PayrollTokenFirstReadWalletKind:
      type: string
      enum:
        - SELF_CUSTODY
        - EXCHANGE
    PayrollTokenFirstReadToken:
      type: object
      properties:
        tokenTypeID:
          type: string
          format: uuid
        name:
          type: string
        currencyCode:
          type: string
        icon:
          type:
            - string
            - 'null'
        orgID:
          type: string
          format: uuid
        enabledForPayrollType:
          oneOf:
            - $ref: '#/components/schemas/PayrollTokenFirstReadPayrollType'
            - type: 'null'
        networkID:
          type: string
          format: uuid
        address:
          type:
            - string
            - 'null'
        decimalPlaces:
          type:
            - integer
            - 'null'
        coinMarketCapID:
          type:
            - string
            - 'null'
        createdAt:
          type: string
          format: date-time
        isTokenEnabled:
          type:
            - boolean
            - 'null'
        isContractorDefault:
          type: boolean
        defaultTokenSlug:
          type:
            - string
            - 'null'
        catalogTokenDeploymentID:
          type:
            - string
            - 'null'
          format: uuid
      required:
        - tokenTypeID
        - name
        - currencyCode
        - icon
        - orgID
        - enabledForPayrollType
        - networkID
        - address
        - decimalPlaces
        - coinMarketCapID
        - createdAt
        - isTokenEnabled
        - isContractorDefault
        - defaultTokenSlug
        - catalogTokenDeploymentID
    PayrollTokenFirstReadPayrollType:
      type: string
      enum:
        - ON_CYCLE
        - OFF_CYCLE
        - INVOICE_PAYMENT
    PayrollTokenFirstReadNetwork:
      type: object
      properties:
        networkID:
          type: string
          format: uuid
        orgID:
          type: string
          format: uuid
        name:
          type: string
        icon:
          type:
            - string
            - 'null'
        tokenType:
          $ref: '#/components/schemas/PayrollTokenFirstReadTokenKind'
        isNetworkEnabled:
          type:
            - boolean
            - 'null'
        chainType:
          oneOf:
            - $ref: '#/components/schemas/PayrollTokenFirstReadChainType'
            - type: 'null'
        meshConnectNetworkID:
          type:
            - string
            - 'null'
        evmChainID:
          type:
            - integer
            - 'null'
        multiSendCallOnlyAddress:
          type:
            - string
            - 'null'
        safeSingletonAddress:
          type:
            - string
            - 'null'
        safeFactoryAddress:
          type:
            - string
            - 'null'
        safeAppBaseUrl:
          type:
            - string
            - 'null'
        safeTxServiceUrl:
          type:
            - string
            - 'null'
        blockExplorerBaseUrl:
          type:
            - string
            - 'null'
        eipsName:
          type:
            - string
            - 'null'
        aleoTransferVisibility:
          oneOf:
            - $ref: '#/components/schemas/PayrollTokenFirstReadVisibility'
            - type: 'null'
        defaultNetworkSlugUrl:
          type:
            - string
            - 'null'
        catalogChainID:
          type:
            - string
            - 'null'
          format: uuid
      required:
        - networkID
        - orgID
        - name
        - icon
        - tokenType
        - isNetworkEnabled
        - chainType
        - meshConnectNetworkID
        - evmChainID
        - multiSendCallOnlyAddress
        - safeSingletonAddress
        - safeFactoryAddress
        - safeAppBaseUrl
        - safeTxServiceUrl
        - blockExplorerBaseUrl
        - eipsName
        - aleoTransferVisibility
        - defaultNetworkSlugUrl
        - catalogChainID
    PayrollTokenFirstReadTokenKind:
      type: string
      enum:
        - ERC20
        - NATIVE
    PayrollTokenFirstReadChainType:
      type: string
      enum:
        - EVM
        - SOLANA
        - XRPL
        - BITCOIN
        - COSMOS_SDK
        - FILECOIN
        - PROVENANCE
        - ALEO
        - FOGO
        - FIAT
        - NEAR
        - POLKADOT
        - STACKS
    PayrollTokenFirstReadVisibility:
      type: string
      enum:
        - PUBLIC
        - PUBLIC_TO_PRIVATE
        - PRIVATE
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
